Whistle currently supports the following devices:

  • Apple iOS devices running iOS version 7.1 and later, including the iPhone, iPod Touch and iPad
  • Android devices running Android OS version 4.0.3 and later

Tip: If you have more than one device, we suggest that you pair your Whistle Activity Monitor with the device you keep with you most often. This is because Whistle Activity Monitor uses Bluetooth to tell when your device is close to your pet's Whistle, and records this as a Presence for your pet's activity data. Click here for more information on how Whistle tracks activity.

Apple iOS devices

The layout of the Whistle iOS app has been optimized for the following devices:

  • iPhone 4s
  • iPhone 5, 5c, and 5s
  • iPhone 6, and 6 Plus
  • iPod Touch, 5th generation 

Since Apple does not provide support for iOS 7 or later on the following devices, they are not compatible for the Whistle app either.

  • iPhone 3Gs
  • iPhone 4
  • First generation iPad
  • First, second, third and fourth generation iPod Touch

How do I check my iOS version?

1. On your device, tap to open the Settings app.

2. Tap General.

3. Tap About.

4. Look for the Version field.

5. To update your version of iOS, follow the instructions provided by Apple for your specific device and current iOS.

 

Android devices

The Whistle app is compatible with Android devices running version 4.0.3 and later.

How do I check my Android version?

1. On your device, tap to open the Settings app.

2. Tap About.

3. Tap Software Information.

4. Look for the version at the top of the screen.

5. To update your version of Android, contact your wireless provider or device manufacturer for more information.

 

Powered by Zendesk